Generates a random deviate from the chi-square distribution

- « stats_rand_gen_beta

- stats_rand_gen_exponential »

- PHP Manual
- Statistic Functions
- Generates a random deviate from the chi-square distribution

# stats_rand_gen_chisquare

(PECL stats >= 1.0.0)

stats_rand_gen_chisquare — Generates a random deviate from the chi-square distribution

### Description

stats_rand_gen_chisquare(float `$df`): float

Returns a random deviate from the chi-square distribution where the degrees of freedom is `df`.

### Parameters

`df`

  The degrees of freedom

### Return Values

A random deviate